View Issue Details

IDProjectCategoryView StatusLast Update
0002163Ham Radio DeluxeBugpublic2017-08-05 18:27
Reporterg3ucq 
Assigned ToK7ZCZ 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.671 
Summary0002163: Rotator Display stops working when closing the About window
DescriptionWhile investigating the URL issue I find that when I close the Rotator About window the Rotator stops working.
This is repeatable for me and no other menu selection I have found will cause the crash.
Steps To ReproduceOpen Rotator Display
Help/About HRD Rotator
Click OK and the crash occurs.
See the screen shots
TagsNo tags attached.
ModuleRotator
Sub-ModuleRotators
Testing Beta Successful

Relationships

Activities

g3ucq

2017-07-29 03:39

viewer  

rotator_crash.JPG (53,043 bytes)
rotator_crash.JPG (53,043 bytes)
rotator_crash2.JPG (30,270 bytes)
rotator_crash2.JPG (30,270 bytes)

PD9FER

2017-07-29 06:33

viewer   ~0003775

Confirmed

K7ZCZ

2017-07-30 09:21

viewer   ~0003785


Unfortunately, there was some testing code I accidentally checked-in. Fixed with this change set:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3705

g3ucq

2017-07-30 14:08

viewer   ~0003788

Fixed

WA9PIE

2017-08-02 15:49

administrator   ~0003845

Accepted

WA9PIE

2017-08-05 18:13

administrator   ~0003900

All completed during the 670 build/release.

Issue History

Date Modified Username Field Change
2017-07-29 03:39 g3ucq New Issue
2017-07-29 03:39 g3ucq File Added: rotator_crash.JPG
2017-07-29 03:39 g3ucq File Added: rotator_crash2.JPG
2017-07-29 06:33 PD9FER Note Added: 0003775
2017-07-30 09:21 K7ZCZ Assigned To => K7ZCZ
2017-07-30 09:21 K7ZCZ Status new => resolved
2017-07-30 09:21 K7ZCZ Resolution open => fixed
2017-07-30 09:21 K7ZCZ Testing => Not Started
2017-07-30 09:21 K7ZCZ Note Added: 0003785
2017-07-30 09:35 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-07-30 09:48 K7ZCZ Fixed in Version => 6.4.0.667
2017-07-30 11:23 K7ZCZ Fixed in Version 6.4.0.667 => 6.4.0.668
2017-07-30 14:08 g3ucq Note Added: 0003788
2017-08-02 15:49 WA9PIE Testing Not Started => Beta Successful
2017-08-02 15:49 WA9PIE Note Added: 0003845
2017-08-05 18:09 WA9PIE Fixed in Version 6.4.0.668 => 6.4.0.670
2017-08-05 18:10 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-08-05 18:13 WA9PIE Note Added: 0003900
2017-08-05 18:13 WA9PIE Status resolved => closed
2017-08-05 18:27 WA9PIE Fixed in Version 6.4.0.670 => 6.4.0.671